# Uses of Interface
org.osgi.service.url.URLStreamHandlerSetter

Packages that use URLStreamHandlerSetter
Package
Description
org.apache.felix.framework
org.osgi.service.url
URL Stream and Content Handlers Package Version 1.0.

## Uses of URLStreamHandlerSetter in org.apache.felix.framework

Classes in org.apache.felix.framework that implement URLStreamHandlerSetter
Modifier and Type
Class
Description
`class`
`URLHandlersStreamHandlerProxy`
This class implements a stream handler proxy.

## Uses of URLStreamHandlerSetter in org.osgi.service.url

Fields in org.osgi.service.url declared as URLStreamHandlerSetter
Modifier and Type
Field
Description
`protected URLStreamHandlerSetter`
AbstractURLStreamHandlerService.`realHandler`
The `URLStreamHandlerSetter` object passed to the parseURL method.
Methods in org.osgi.service.url with parameters of type URLStreamHandlerSetter
Modifier and Type
Method
Description
`void`
AbstractURLStreamHandlerService.`parseURL(URLStreamHandlerSetter realHandler, URL u, String spec, int start, int limit)`
Parse a URL using the `URLStreamHandlerSetter` object.
`void`
URLStreamHandlerService.`parseURL(URLStreamHandlerSetter realHandler, URL u, String spec, int start, int limit)`
Parse a URL.